Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver Class Reference

Resolves language settings for use in SiteAccess aware Repository. More...

Inheritance diagram for eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver:

## Public Member Functions
| __construct (array $configLanguages, bool $defaultUseAlwaysAvailable=true, bool $defaultShowAllTranslations=false)
Public Member Functions inherited from eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver
| __construct (bool $defaultUseAlwaysAvailable=true, bool $defaultShowAllTranslations=false)
| setContextLanguage (?string $contextLanguage)
| For use by custom events / logic setting language for all retrieved objects from repository. More...
| getContextLanguage ()
| Get context language currently set by custom logic. More...
| getPrioritizedLanguages (?array $forcedLanguages=null)
| Get prioritized languages taking into account forced and context languages. More...
| setDefaultUseAlwaysAvailable (bool $defaultUseAlwaysAvailable)
| For use by event listening to config resolver scope changes (or other event changing configured languages). More...
| getUseAlwaysAvailable (?bool $forcedUseAlwaysAvailable=null)
| Get currently set UseAlwaysAvailable. More...
| setShowAllTranslations (bool $defaultShowAllTranslations)
| For use by event listening to config resolver scope changes (or other event changing configured languages). More...
| getShowAllTranslations (?bool $forcedShowAllTranslations=null)
| Get currently set showAllTranslations. More...

## Protected Member Functions
| getConfiguredLanguages ()
| Get list of languages configured via dedicated layer. More...

## Private Attributes
| $configLanguages

## Detailed Description

Resolves language settings for use in SiteAccess aware Repository.

Definition at line 12 of file Publish/Core/Repository/SiteAccessAware/Language/LanguageResolver.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver::__construct | ( | array | $configLanguages,
|  | bool | $defaultUseAlwaysAvailable = `true`,
|  | bool | $defaultShowAllTranslations = `false`
| ) |  |

Definition at line 21 of file Publish/Core/Repository/SiteAccessAware/Language/LanguageResolver.php.

References eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver\$configLanguages, eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver\$defaultShowAllTranslations, and eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver\$defaultUseAlwaysAvailable.

## Member Function Documentation

## ◆ getConfiguredLanguages()

eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver::getConfiguredLanguages | ( |  | ) |
| protected

Get list of languages configured via dedicated layer.

Returns
  string[]

Reimplemented from eZ\Publish\Core\Repository\SiteAccessAware\Language\AbstractLanguageResolver.

Definition at line 30 of file Publish/Core/Repository/SiteAccessAware/Language/LanguageResolver.php.

References eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver\$configLanguages.

## Member Data Documentation

## ◆ $configLanguages

eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver::$configLanguages
| private

Definition at line 19 of file Publish/Core/Repository/SiteAccessAware/Language/LanguageResolver.php.

Referenced by eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver\__construct(), and eZ\Publish\Core\Repository\SiteAccessAware\Language\LanguageResolver\getConfiguredLanguages().

The documentation for this class was generated from the following file:

- Publish/Core/Repository/SiteAccessAware/Language/LanguageResolver.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.